%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% robotcilin.m
% ROBOT CILINDRICO: SIMULACIN EN MATLAB.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Marco Prez, Erik Cuevas, Daniel Zaldvar,  
% Versin: 14/09/2011
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Este ejemplo demuestra la captura del modelo DH del
% robot CILINDRICO.

% Se capturan los parmetros de cada eslabn
L1 = link([0 0 0 1])
L2 = link([pi/2 0 0 0 1])
L3 = link([0 0 0 0 1])
% Se enlaza la cadena cinemtica
cilindrico=robot({L1 L2 L3})

% Se definen sus nombres de robot y de manufactura
cilindrico.name='ROBOT CILINDRICO';
cilindrico.manuf='Prototipo'

% Generando la grfica de robot
plot(cilindrico, [0, 0.13, 0.38])
