%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% ROBOT ANTROPOMRFICO EN MATLAB.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Marco Prez, Erik Cuevas, Daniel Zaldvar,  
% Versin: 14/09/2011
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Este ejemplo demuestra la captura del modelo DH del
% robot Antropomrfico.

% Se capturan los parmetros de cada eslabn
L1 = link([1.57 0 0 0.50])
L2 = link([0 0.70 0 0])
L3 = link([0 0.70 0 0])

% Se enlaza la cadena cinemtica
robotA=robot({L1 L2 L3})

% Se definen sus nombres de robot y de manufactura
robotA.name='Antropomorfico';
robotA.manuf='Prototipo'

% Generando la grfica de robot
plot(robotA, [0 0.62 -0.62])
