%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% m2k.m
% ROBOT TQ MA2000 EN MATLAB.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Marco Prez, Erik Cuevas, Daniel Zaldvar,  
% Versin: 14/09/2011
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Simulacin del modelo DH del robot TQ MA2000.
% Se capturan los parmetros de cada eslabn
L1 = link([1.57 0 0 0.26])
L2 = link([0 -0.23 0 -0.013])
L3 = link([0 -0.24 0 0])
L4 = link([-1.57 0 0 0.075])
L5 = link([1.57 0 0 0.044])
L6 = link([0 0 0 0.08])

% Se enlaza la cadena cinemtica
ma2000=robot({L1 L2 L3 L4 L5 L6})

% Se definen sus nombres de robot y de manufactura
ma2000.name='Robot 2000 final model';
ma2000.manuf='Prototipo'

% Generando la grfica de robot
plot(ma2000, [0, -0.56549, 0.62832, 1.508, -1.5708, 0])
