% FRICTION.M Calcula el torque de friccin sobre un 
% elemento del tipo LINK.
%   TAU = FRICTION(LINK, QD)
% Calcula el torque derivado de la friccin sobre un
% eslabn que se mueve con una velocidad QD. Se consideran
% la friccin de viscosidad y la friccin de Coulomb.
%
% Copyright (C) 1993-2008, by Peter I. Corke
% Robotics Toolbox for Matlab v8.0 
    function  tau = friction(l, qd)
    tau = 0.0;
    qd = qd(:);
    tau = l.B * qd;
% Ntese la adicin del torque derivado de la friccin
% de Coulomb.
    tau = tau + (qd > 0) * l.Tc(1) + (qd < 0) * l.Tc(2);
