%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% TrayVia1.m
% TRAYECTORIAS DE LOS EJEMPLOS 1 Y 2, CAP. 8
% CON UN PUNTO VA.
% Tiempo de simulacin: 2 segundos.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Marco Prez, Erik Cuevas, Daniel Zaldivar  
% Versin: 13/06/2012
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Definicin del tiempo 1
x=0:0.01:1;
% Definicin de las tres ecuaciones
y=10+60*(x.^2)-40*(x.^3);
yd=120*x-120*(x.^2);
ydd=120-240*x;
 
% Definicin del tiempo
x1=1:0.01:2;
% Definicin de las tres ecuaciones
y1=30-60*(x1-1)+250*((x1-1).^2)-150*((x1-1).^3);
yd1=-60+500*(x1-1)-450*((x1-1).^2);
ydd1=500-900*(x1-1);
 
%Generacin de las grficas
figure;
subplot(3,1,1); 
plot(x,y,'.-'); hold on; plot(x1,y1,'.-');
grid on; xlabel('Tiempo'); ylabel('Posicin')
 
subplot(3,1,2); 
plot(x, yd, '.-'); hold on; plot(x1, yd1, '.-');
grid on; xlabel('Tiempo'); ylabel('Velocidad')
 
subplot(3,1,3); 
plot(x, ydd, '.-'); hold on; plot(x1, ydd1, '.-');
grid on; xlabel('Tiempo');ylabel('Aceleracin')
