%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% TrayQuintic0.m
% TRAYECTORIAS QUINTICA DEL EJEMPLO 1, CAP. 8
% Tiempo de simulacin: 1 segundo.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Marco Prez, Erik Cuevas, Daniel Zaldivar  
% Versin: 13/06/2012
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Definicin del tiempo 1
tiempo=0:0.01:1;
 
% Generacin de la trayectoria de quinto grado
[q qd qdd]=jtraj(10*pi/180, 30*pi/180, tiempo);
 
%Generacin de las grficas
figure;
subplot(3,1,1); plot(tiempo, q, '.-');grid on;
xlabel('Tiempo'); ylabel('Posicin (rads)')
 
subplot(3,1,2); plot(tiempo, qd, '.-'); grid on
xlabel('Tiempo'); ylabel('Velocidad (rads/seg)')
 
subplot(3,1,3); plot(tiempo, qdd, '.-'); grid on
xlabel('Tiempo'); ylabel('Aceleracin (rads/seg^2)')
