%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% TrayInterpo2.m
% INTERPOLACIN DE TRAYECTORIAS CARTESIANAS CON TRINTERP
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Marco Prez, Erik Cuevas, Daniel Zaldivar  
% Versin: 13/06/2012
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
% Se genera el sistema coordenado base T0 y su grafica
T0=eye(4,4);
% incluyendo la etiqueta 'Base' con un largo de 1 metro.
plot(ht(T0), 'Base', 1); 
xlabel('Eje X'); ylabel('Eje Y'); zlabel('Eje Z');hold on;
 
% Se genera el sistema coordenado objetivo T1 y su grfica
T1=[-1 0 0 4; 0 1 0 10; 0 0 -1 5; 0 0 0 1];
plot(ht(T1), 'Objetivo', 1);
 
% Se genera la grfica para cada postura
uno=trinterp(T0, T1, 0.1); plot(ht(uno), 'uno', 1);
dos=trinterp(T0, T1, 0.2);  plot(ht(dos), 'dos', 1);
tres=trinterp(T0, T1, 0.3); plot(ht(tres), 'tres', 1);
cuatr=trinterp(T0, T1, 0.4); plot(ht(cuatr), 'cuatro', 1);
cinco=trinterp(T0, T1, 0.5);  plot(ht(cinco), 'cinco', 1);
siete=trinterp(T0, T1, 0.7); plot(ht(siete), 'siete', 1);
nueve=trinterp(T0, T1, 0.9);  plot(ht(nueve), 'nueve', 1);
