%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% cxpropor1.m
% CONTROL PROPORCIONAL EN MATLAB
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Marco Prez, Erik Cuevas, Daniel Zaldivar  
% Versin: 13/06/2012 v1.0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Crea la grfica de la respuesta al escaln del sistema
% de control proporcional de lazo cerrado.

G = tf(10, [5 1])  % FT de lazo abierto
C = tf([2], [1])   % Ganancia de control kp=2
H = C*G/(1+C*G)    % FT de lazo cerrado
H = minreal(H)     % Simplifica el resultado 
t = [0:.1:10]'; figure; % Vector de tiempo y ventana
step(G,'r.-',H,t); % Grfica la respuesta al escaln
grid on;
