%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% GRAFICACIN DE CUATERNIONES UNITARIOS.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Marco Prez, Erik Cuevas, Daniel Zaldvar,  
% Versin: 26/12/2010
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Este ejemplo demuestra la representacin grfica de
% un cuaternin unitario y su inversa.
% Se genera el cuaternin qa
qa = quaternion([1 0 0], pi/3)

% Se calcula la inversa del cuaternin qa
qc= inv(qa)

% Se procede a graficar el cuaternin qa, utilizando un eje % coordenado situado en el punto [0, 0, 0]. '%c' solicita
% se definan etiquetas para cada eje del sistema:

plot(qa, [0 0 0], '%c', 'r');
hold on

% Se procede a graficar el cuaternin inverso qc
plot(qc, [0 0 0], '%c', 'b');
