%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% ROBOT 3R: CONVENCIN DH EN MATLAB.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Marco Prez, Erik Cuevas, Daniel Zaldvar,  
% Versin: 19/02/2011
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Este ejemplo demuestra la captura del modelo DH del
% robot 3R.
% Se capturan los parmetros de cada eslabn
L1 = link([0 0.4 0 0])
L2 = link([0 0.5 0 0])
L3 = link([0 0.3 0 0])

% Se enlaza la cadena cinemtica
robot3R=robot({L1 L2 L3})

% Se definen sus nombres de robot y de manufactura
robot3R.name='Robot 3R';
robot3R.manuf='Prototipo'

% Generando la grfica de robot
plot(robot3R, [0, 0.87, 0.63])
