%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% robotesfer.m
% ARTICULACIN ESFRICA: SIMULACIN EN MATLAB.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Marco Prez, Erik Cuevas, Daniel Zaldvar
% Versin: 14/09/2011
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Este ejemplo demuestra la captura del modelo DH dela
% ARTICULACIN ESFRICA.

% Se capturan los parmetros de cada eslabn
L1 = link([-pi/2 0 0 0.075])
L2 = link([pi/2 0 0 0.044])
L3 = link([0 0 0 0.08])

% Se enlaza la cadena cinemtica
esfer = robot({L1 L2 L3})

% Se definen sus nombres de robot y de manufactura
esfer.name='Articulacin esfrica
esfer.manuf='Prototipo'

% Se genera la grfica de robot
plot(esfer, [0, 0, 0])
