%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% robstan.m
% ROBOT STANFORD EN MATLAB
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Marco Prez, Erik Cuevas, Daniel Zaldvar,  
% Versin: 14/09/2011
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Simulacin del modelo DH del robot Stanford.
% Se capturan los parmetros de cada eslabn
L1 = link([-pi/2 0 0 0.412])
L2 = link([pi/2 0 0 0.154])
L3 = link([0 0 0 0 1])
L4 = link([-pi/2 0 0 0])
L5 = link([pi/2 0 0 0]) 
L6 = link([0 0 0 0.263])

% Se enlaza la cadena cinemtica
stan=robot({L1 L2 L3 L4 L5 L6})

% Se definen sus nombres de robot y manufactura
stan.name='Stanford';stan.manuf='Prototipo'

% Generando la grfica de robot
plot(stan, [0, -0.9634, 0.3770, 1.1938, -1.1938, 0])
