%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% robscara.m
% ROBOT SCARA EN MATLAB
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Marco Prez, Erik Cuevas, Daniel Zaldvar,  
% Versin: 14/09/2011
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Simulacin del modelo DH del robot SCARA.
% Se capturan los parmetros de cada eslabn
L1 = link([0 0.25 0 0])
L2 = link([pi 0.15 0 0])
L3 = link([0 0 0 0 1])
L4 = link([0 0 0 0.075])

% Se enlaza la cadena cinemtica
scara=robot({L1 L2 L3 L4})

% Se definen sus nombres de robot y manufactura
scara.name='SCARA';
scara.manuf='Prototipo'

% Generando la grfica de robot
plot(scara, [0 0 0.1257 0])
