%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% robdanywalker.m
% ROBOT BIPEDO DANY WALKER EN MATLAB, EXTREMIDAD DERECHA
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Marco Prez, Erik Cuevas, Daniel Zaldvar,  
% Versin: 14/09/2011
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Simulacin del modelo DH del robot DANY WALKER.
% Se capturan los parmetros de cada eslabn
L1=link([-pi/2 0.1 0 0])
L2=link([0 0.4 0 0])
L3=link([0 0.4 0 0])
L4=link([pi/2 0.1 0 0])
L5=link([0 0.1 0 0])

% Se enlaza la cadena cinemtica
pie_der=robot({L1 L2 L3 L4 L5})

% Se definen sus nombres de robot y manufactura
pie_der.name='Dany Walker'
pie_der.manuf='CUCEI UDG MX'

% Generando la grfica de robot
plot(pie_der, [-1.5708, -0.5655, 0.8796, -0.3141, 0])
