%%%%%%%%%%%%%%%%%%%%h%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% graficas.m
% VISUALIZACION DE LA INTEGRACION DEL MOVIMIENTO. 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Marco Prez, Erik Cuevas, Daniel Zaldivar  
% Versin: 14/09/2011
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Cuenta el nmero de posiciones integradas
n = size(T0c.signals.values,3);

clf; % Limpia la ventana grfica

% Primera posicin en el vector. Rtulo: inicio.
plot(ht(T0c.signals.values(:,:,1)),'inicio');
hold on; % Retiene ventana para grfica mltiple.

% Grafica posiciones con saltos de 5 valores.
for i=2:5:n-1
plot(ht(T0c.signals.values(:,:,i)));
end

% ltima posicin en el vector. Rtulo: fin.
plot(ht(T0c.signals.values(:,:,end)),'fin');

% Ejes equidistantes.
axis equal;
axis off;

% Se coloca una cmara al principio y final del movimiento.
c = camera;
plot(c,ht(T0c.signals.values(:,:,1)));
plot(c,ht(T0c.signals.values(:,:,end)));
