%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% TrayEjem1.m
% GENERA GRAFICAS DE TRAYECTORIA EN EJEMPLO 1, CAPITULO 8
% Tiempo de simulacin: 1 segundo.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Marco Prez, Erik Cuevas, Daniel Zaldivar  
% Versin: 13/06/2012
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Definicin del tiempo
x=0:0.01:1;

% Definicin de las tres ecuaciones
y=10+60*(x.^2)-40*(x.^3);
yd=120*x-120*(x.^2);
ydd=120-240*x;

%Generacin de las grficas
figure;
subplot(3,1,1); plot(x,y,'.-'); grid on; 
subplot(3,1,2); plot(x, yd, '.-'); grid on; 
subplot(3,1,3); plot(x, ydd, '.-'); grid on;
