%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% VarEstado.m
% Modelo en variable de estado del sistema de masa-
% resorte-amortiguador
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Marco Prez, Erik Cuevas, Daniel Zaldivar  
% Versin: 13/06/2012 v1.0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Valores para el sistema

m=10; k=0.1; b=0.5;


% Construccin de matrices de estado
A = [0 1; -k/m -b/m];
B = [0; 1/m];
C = [1 0; 0 1];
D = [0; 0];

% Creacin del modelo
sistema = ss(A,B,C,D)

% Respuesta al escaln
step(sistema); grid on;
