%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% cxpimatlab1.m
% CONTROL PROPORCIONAL/INTEGRAL EN MATLAB
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Marco Prez, Erik Cuevas, Daniel Zaldivar  
% Versin: 13/06/2012 v1.0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Crea la grfica de la respuesta al escaln del sistema
% de lazo cerrado con control proporcional-integral.
 
P = tf(10, [5 1]);      % Fcn. de Transf. de la planta
C = tf([.5 .1], [1 0]); % Fcn. de Transf. del controlador
G = C*P/(1+C*P);        % Construccin del lazo cerrado
H = minreal(G);         % Simplificacin de Fcn. de Transf.
t = [0:.1:7]';figure;   % Tiempo de simulacin
step(H,t); grid on      % Respuesta al escaln unitario
